Subject: Re: [PATCH net] net: dsa: sja1105: fix use-after-free after calling of_find_compatible_node, or worse

From: Andrew Lunn <[email-masked]>
Date: Wed, 18 Aug 2021 00:05:05 +0200

> Do these integrated NXP PHYs use a specific PHY driver, or do they just 
> use the Generic PHY driver? If the former is the case, do you experience 
> that the PHY driver fails to get probed during mdiobus registration if 
> the kernel uses fw_devlink=on?

The Marvell mv88e6xxx driver registers upto two MDIO busses, and the
PHYs on those busses make use of the marvell PHY driver. I've not
tested specifically with fw_devlink=on, but in general, the Marvell
PHY driver does get bound to these devices.

    Andrew